I can not record a midi file with Rosegarde 1.6.1

Support & discussion regarding DAWs and MIDI sequencers.

Moderators: MattKingUSA, khz

Post Reply
cx1964
Established Member
Posts: 3
Joined: Tue Aug 12, 2008 8:43 am

I can not record a midi file with Rosegarde 1.6.1

Post by cx1964 »

I want to record a midi file with my Roland digital piano and Rosegarden. But it does not work.

I use Ubuntu hardy (8.0.4) with Rosegarden 1.6.1 and usb midiman.

My midiman is working, because I am able to play a midi file with Rosegarden on my external Roland digital piano. Although jack is running, I can not record a midi file in Rosegarden with my Roland. I read some articles on the internet and I read the Rosegarden help. But still it does not work. What I am doing wrong?

User avatar
khz
Established Member
Posts: 1393
Joined: Thu Apr 17, 2008 6:29 am
Location: German

Post by khz »

hy
did u connect @ Rosegarden (audio/midi setting - select the midi dev && select 2 track) and look maybe jackctl ...
cx1964 wrote:I am able to play a midi file with Rosegarden on my external Roland digital piano
hmmm hit "rec" button?
FZ - Does humor belongs in Music?
GNU/LINUX@AUDIO ~ /Wiki $ Howto.Info && GNU/Linux Debian installing >> Linux Audio Workstation LAW
  • I don't care about the freedom of speech because I have nothing to say.

cx1964
Established Member
Posts: 3
Joined: Tue Aug 12, 2008 8:43 am

Post by cx1964 »

I select a track. Then I arm the track for recording (select the right button, so that it is yellow). At track Parameters I select 20:1 Midisport 2x2 MIDI2 as recording device.
Then I start recording. Then I see Rosegarden paint a yellow bar.
When I stop recording the yellow bar disappears.

studio32
Established Member
Posts: 2415
Joined: Mon Apr 07, 2008 5:09 pm

Post by studio32 »

Sorry I don't know much of this topic. But if you can't find the answer here, you sure find it here: http://www.rosegardenmusic.com/support/
and I think the mailinglist is a good option.

Success!! :)

studio32
Established Member
Posts: 2415
Joined: Mon Apr 07, 2008 5:09 pm

Post by studio32 »

Did you solve your problem?

Maybe it's also a good idea to upgrade to 1.7.1

Post Reply